package server.services;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

@Path("/factorial")
public class Factorial {
    @GET
    @Produces("text/plain")
    @Path("{n}")
    public String fact(@PathParam("n") int n) {
        return "f("+n+")="+f(n)+"\n";
    }

    private int f(int n) {
        int res = 1;
        for (int i = 1; i <=n ; i++) {
            res *= i;
        }
        return res;
    }
}
