package main.wsclient;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;

public class Main {

    public static void main(String[] args) {
	    try (
                Socket s = new Socket("127.0.0.1", 8080);
                PrintWriter out = new PrintWriter(s.getOutputStream(), true);
                BufferedReader in = new BufferedReader(new InputStreamReader(s.getInputStream()))
                ) {
	        out.print("GET /ws0_war_exploded/add?a=5&b=117 HTTP/1.1\n");
	        out.println("Host: localhost:8080\n");
	        out.flush();
            String line;
            while ((line=in.readLine())!=null) {
                System.out.println(line);
            }
        } catch (UnknownHostException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
