package server;

import server.services.Add;
import server.services.Factorial;
import server.services.HelloWorld;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;
import java.util.HashSet;
import java.util.Set;

@ApplicationPath("/")
public class MyApp extends Application {
    @Override
    public Set<Class<?>> getClasses() {
        HashSet hs = new HashSet<Class<?>>();
        hs.add(HelloWorld.class);
        hs.add(Add.class);
        hs.add(Factorial.class);
        return hs;
    }
}
